Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchAll Class Reference
Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchAll:

## Public Member Functions
| accept (Criterion $criterion)
  | {Check if this criterion handler accepts to handle the given criterion. Parameters
  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |
Returns bool } More...
| handle (CriteriaConverter $converter, SelectQuery $query, Criterion $criterion)
  | {Generate query expression for a Criterion this handler accepts.accept() must be called before calling this method. Parameters
  \eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter | $converter |
  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |
Returns \eZ\Publish\Core\Persistence\Database\Expression|string } More...

## Detailed Description

Definition at line 14 of file Core/Persistence/Legacy/URL/Query/CriterionHandler/MatchAll.php.

## Member Function Documentation

## ◆ accept()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchAll::accept | ( | Criterion | $criterion | ) |

{Check if this criterion handler accepts to handle the given criterion.

Parameters

  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |

Returns
  bool

}

Implements eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler.

Definition at line 19 of file Core/Persistence/Legacy/URL/Query/CriterionHandler/MatchAll.php.

## ◆ handle()

eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\MatchAll::handle | ( | CriteriaConverter | $converter,
|  | SelectQuery | $query,
|  | Criterion | $criterion
| ) |  |

{Generate query expression for a Criterion this handler accepts.accept() must be called before calling this method.

Parameters

  \eZ\Publish\Core\Persistence\Legacy\URL\Query\CriteriaConverter | $converter |
  \eZ\Publish\Core\Persistence\Database\SelectQuery | $query |
  \eZ\Publish\API\Repository\Values\URL\Query\Criterion | $criterion |

Returns
  \eZ\Publish\Core\Persistence\Database\Expression|string

}

Implements eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler.

Definition at line 27 of file Core/Persistence/Legacy/URL/Query/CriterionHandler/MatchAll.php.

References eZ\Publish\Core\Persistence\Database\Query\bindValue().

The documentation for this class was generated from the following file:

- Core/Persistence/Legacy/URL/Query/CriterionHandler/MatchAll.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.